# Mint

In Mint, You should create a cell on Nervos Network send to your self wallet address. The cell follows these rules:

Firstly, cells corresponding to xudt, Inscription Info, and Omiga Inscription codes need to be included as cell\_deps.

Secondly, the cell containing the Info data should also be included as a cell\_dep.

Then, construct the transaction where one of the outputs has a type\_script generated previously as xudt\_type. The lock should be the user's lock.

The witness field is as follows:

```rust
table XudtWitnessInput {
    owner_script: ScriptOpt,
    owner_signature: BytesOpt,
    raw_extension_data: ScriptVecOpt,
    extension_data: BytesVec,
}
```

Set the minted amount to the mint\_limit quantity. XudtWitnessInput only needs to be filled with the previously generated virtual Owner\_script, and with that, the transaction construction is complete.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.omiga.io/ckb-inscription/mint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
